| Home | Libraries | People | FAQ | More

##### push_back

###### Description

Returns the result type of `push_back`, given the types of the input sequence and element to push.

###### Synopsis

    template<
        typename Sequence,
        typename T
        >
    struct push_back
    {
        typedef unspecified type;
    };

Table 1.93. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A model of Forward Sequence | Operation's argument
`T` | Any type | Operation's argument

###### Expression Semantics

    result_of::push_back<Sequence, T>::type

Return type:

- A model of Forward Sequence.
- A model of Associative Sequence if `Sequence` implements the Associative Sequence model.

Semantics: Returns a sequence with the elements of `Sequence` and an element of type `T` added to the end.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/transformation/push_back.hpp>
    #include <boost/fusion/include/push_back.hpp>